<nav class="navbar navbar-expand-md navbar-ls navbar-dark bg-ls-dark">
    <div class="container-fluid">
        <a href="{{ url('public_root') }}" class="navbar-brand" title="Revenir à l'accueil de l'application">
            <img
                src="{{ asset('build/images/re-light.svg') }}" alt="Logo refae"
                title="refae"
                style="height: 45px; padding-top: 7px; padding-bottom: 5px;"
            >
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        {% set tenant = current_tenant('name') %}
        <div class="collapse navbar-collapse" id="navbarCollapse">
            {% if app.session is defined and app.session.get('role.' ~ tenant) and app.session.get('role.' ~ tenant).commonName %}
                <div class="navbar-brand">{{ app.session.get('role.' ~ tenant).commonName }}</div>
            {% elseif app.session is defined and app.session.get('role.admin') and app.session.get('role.admin').commonName %}
                <div class="navbar-brand">{{ app.session.get('role.admin').commonName }}</div>
            {% endif %}
            {% if tenant %}
                <div class="navbar-brand">{{ tenant }}</div>
            {% endif %}
            <ul class="navbar-nav ml-auto">
                <li id="container-lexicon" class="nav-item">
                    <button data-modal="ajax"
                        data-url="{{ url('public_lexicon') }}"
                        data-title="Lexique"
                        data-toggle="tooltip"
                        title="Lexique"
                        class="nav-link dropdown-item btn-link"
                        type="button"
                    >
                        <i class="fa fa-info" aria-hidden="true"></i>
                        <span class="resp resp-hide-large" aria-hidden="true"> Lexique </span>
                        <span class="sr-only">Lexique</span>
                    </button>
                </li>
                {% if app.user %}
                    <li id="container-number-notification" class="nav-item dropdown" title="">
                        <a class="nav-link dropdown-item dropdown-toggle"
                            href="#"
                            id="notificationDropdown"
                            role="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                        >
                            <i class="fa fa-bell animated" aria-hidden="true"></i>
                            <span aria-hidden="true" class="resp resp-hide-large">Notifications</span>
                            <span class="sr-only">Notifications</span>
                            <span id="number-notification" class="animated">0</span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-right"
                            aria-labelledby="notificationDropdown"
                            id="notifications-ul-container"
                        >
                            <li>
                                <button type="button" class="navbar-link btn-link" onclick="AsalaeGlobal.deleteAllNotifications(new Event('click'))">
                                    Supprimer toutes les notifications
                                </button>
                            </li>
                        </ul>
                    </li>
                    <li id="user-menu-dropdown" class="nav-item dropdown">
                        <a
                            class="nav-link dropdown-item dropdown-toggle"
                            href="#"
                            id="navbarDropdown"
                            role="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                        >
                            {% if tenant %}{{ tenant }} - {% endif %}
                            {{ app.user.name ?? app.user.username }}
                        </a>
                        <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            <a href="{{ url('public_home') }}"
                               class="dropdown-item{% if app.request.attributes.get('_route') starts with 'public_' %} active{% endif %}">
                                <i class="fa fa-space" aria-hidden="true"></i>
                                Public
                            </a>
                            {% if app.session.get('role.admin') %}
                                <a href="{{ url('admin_home') }}"
                                   class="dropdown-item{% if app.request.attributes.get('_route') starts with 'admin_' %} active{% endif %}">
                                    <i class="fa fa-space" aria-hidden="true"></i>
                                    Administration technique
                                </a>
                            {% endif %}
                            <div role="separator" class="dropdown-divider"></div>
                            {% for tenant in app.user.getAccessibleTenants() %}
                                {% if (tenant.baseurl != app.request.get('tenant_url')) %}
                                    <a href="{{ url('app_home', {tenant_url: tenant.baseurl}) }}" class="dropdown-item">
                                        <i class="fa fa-space" aria-hidden="true"></i>
                                        {{ tenant.name }}
                                    </a>
                                {% else %}
                                    <a href="#" class="dropdown-item active" onclick="return false">
                                        <i class="fa fa-space" aria-hidden="true"></i>
                                        {{ tenant.name }}
                                    </a>
                                {% endif %}
                            {% endfor %}
                            <button
                                class="dropdown-item"
                                type="button"
                                id="button-user-edit-form"
                                data-modal="ajax"
                                data-url="{{ url('public_edit_my_user') }}"
                                data-title="Modifier mon compte utilisateur"
                            >
                                <i class="far fa-address-card fa-space" aria-hidden="true"></i>
                                Modifier mon compte utilisateur
                            </button>
                            <div role="separator" class="dropdown-divider"></div>
                            {% if tenant %}
                            <button
                                data-modal="ajax"
                                data-url="{{ url('app_rgpd_info') }}"
                                data-title="Politique de confidentialité (RGPD)"
                                class="dropdown-item"
                                type="button"
                            >
                                <i class="fas fa-user-secret fa-space" aria-hidden="true"></i>
                                Politique de confidentialité (RGPD)
                            </button>
                            {% endif %}
                            <div role="separator" class="dropdown-divider"></div>
                            <a href="{{ url('_logout') }}" class="dropdown-item">
                                <i class="fa fa-sign-out fa-space" aria-hidden="true"></i>
                                Se déconnecter
                            </a>
                        </ul>
                    </li>
                {% else %}
                    <li id="user-menu-dropdown" class="nav-item">
                        <a href="{{ url('public_login') }}" class="dropdown-item">
                            <i class="fa fa-sign-in fa-space" aria-hidden="true"></i>
                            Se connecter
                        </a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>
{% if
    not (app.request.attributes.get('_route') starts with 'public_')
    or app.request.get('tenant_url') is not null
%}
    {{ menu_build_top(top.value) }}
{% endif %}
